Debian Bug report logs - #573688
gauche-gtk: FTBFS: gauche-gtk.c:450: error: too few arguments to function 'Scm_Apply'

version graph

Package: src:gauche-gtk; Maintainer for src:gauche-gtk is Debian Gauche Maintainers <pkg-gauche-devel@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sat, 13 Mar 2010 08:50:22 UTC

Severity: serious

Tags: sid, squeeze

Found in version gauche-gtk/0.4.1-9

Fixed in version gauche-gtk/0.4.1-10

Done: NIIBE Yutaka <gniibe@fsij.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, NIIBE Yutaka <gniibe@fsij.org>:
Bug#573688; Package src:gauche-gtk. (Sat, 13 Mar 2010 08:50:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to NIIBE Yutaka <gniibe@fsij.org>. (Sat, 13 Mar 2010 08:50:25 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: gauche-gtk: FTBFS: gauche-gtk.c:450: error: too few arguments to function 'Scm_Apply'
Date: Sat, 13 Mar 2010 08:46:36 +0100
Source: gauche-gtk
Version: 0.4.1-9
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100312 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> gcc -std=gnu99 -DHAVE_CONFIG_H -Wall -g -O2 -I/usr/lib/gauche/0.9/include -fPIC -fomit-frame-pointer  `pkg-config --cflags gtk+-2.0`   -c -o gauche-gtk.o gauche-gtk.c
> gauche-gtk.c: In function 'callcallback_thunk':
> gauche-gtk.c:450: error: too few arguments to function 'Scm_Apply'
> gauche-gtk.c: In function 'Scm_GClosureMarshal':
> gauche-gtk.c:669: error: too few arguments to function 'Scm_Apply'
> gauche-gtk.c: In function 'Scm_GtkCallThunk':
> gauche-gtk.c:695: error: too few arguments to function 'Scm_Apply'
> gauche-gtk.c: In function 'Scm_GtkApply':
> gauche-gtk.c:703: error: too few arguments to function 'Scm_Apply'
> gauche-gtk.c: In function 'scm_signal_check':
> gauche-gtk.c:735: error: 'ScmVM' has no member named 'queueNotEmpty'
> gauche-gtk.c:735: error: 'SCM_VM_SIGQ_MASK' undeclared (first use in this function)
> gauche-gtk.c:735: error: (Each undeclared identifier is reported only once
> gauche-gtk.c:735: error: for each function it appears in.)
> gauche-gtk.c: In function 'Scm_Init_gauche_gtk':
> gauche-gtk.c:1295: warning: implicit declaration of function 'Scm_Init_gauche_gdklib'
> make[2]: *** [gauche-gtk.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/03/12/gauche-gtk_0.4.1-9_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Reply sent to NIIBE Yutaka <gniibe@fsij.org>:
You have taken responsibility. (Thu, 18 Mar 2010 05:51:04 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Thu, 18 Mar 2010 05:51:04 GMT) Full text and rfc822 format available.

Message #10 received at 573688-close@bugs.debian.org (full text, mbox):

From: NIIBE Yutaka <gniibe@fsij.org>
To: 573688-close@bugs.debian.org
Subject: Bug#573688: fixed in gauche-gtk 0.4.1-10
Date: Thu, 18 Mar 2010 05:47:08 +0000
Source: gauche-gtk
Source-Version: 0.4.1-10

We believe that the bug you reported is fixed in the latest version of
gauche-gtk, which is due to be installed in the Debian FTP archive:

gauche-gtk_0.4.1-10.debian.tar.gz
  to main/g/gauche-gtk/gauche-gtk_0.4.1-10.debian.tar.gz
gauche-gtk_0.4.1-10.dsc
  to main/g/gauche-gtk/gauche-gtk_0.4.1-10.dsc
gauche-gtk_0.4.1-10_i386.deb
  to main/g/gauche-gtk/gauche-gtk_0.4.1-10_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 573688@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
NIIBE Yutaka <gniibe@fsij.org> (supplier of updated gauche-gtk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 17 Mar 2010 16:40:40 +0900
Source: gauche-gtk
Binary: gauche-gtk
Architecture: source i386
Version: 0.4.1-10
Distribution: unstable
Urgency: low
Maintainer: NIIBE Yutaka <gniibe@fsij.org>
Changed-By: NIIBE Yutaka <gniibe@fsij.org>
Description: 
 gauche-gtk - Gauche bindings for GTK+ GUI Toolkit
Closes: 573688
Changes: 
 gauche-gtk (0.4.1-10) unstable; urgency=low
 .
   * debian/patches/02_new_api_0.9.patch: New file for new Gauche 0.9
     (Closes: #573688).
   * debian/patches/{00_no_path_xtra.patch,01_update_for_newer_gtk.patch,series}:
     New files from diff of 0.4.1-9.
   * debian/{rules,source,patches,README.source}: Use 3.0 (quilt) format.
   * debian/compat: Updated.
   * debian/control (Section): It's now lisp.
     (Homepage): New field.
     (Depends): Added ${misc:Depends}.
     (Build-Depends): This is for new gauche-dev (>= 0.9).
Checksums-Sha1: 
 de4c93fb6e1ffe8ec066690dec26ceb66f57a579 1182 gauche-gtk_0.4.1-10.dsc
 8db1b3ef5169bb2d5b0011a8d47c0a0974d7742b 15616 gauche-gtk_0.4.1-10.debian.tar.gz
 000516711a955d71e0d74ccf27df29d60419fa18 544478 gauche-gtk_0.4.1-10_i386.deb
Checksums-Sha256: 
 7f671bbf728cf6e1732004d0814f967d3fe6f4ed215c3057f149f779f317105f 1182 gauche-gtk_0.4.1-10.dsc
 1bf5bb80ea24672189f6c22fe69af65a162a68c03f10e3416be7b1dba65e4812 15616 gauche-gtk_0.4.1-10.debian.tar.gz
 97d60a23d40474071d9003f55e63299396603c0479878474b7db77df77d13da7 544478 gauche-gtk_0.4.1-10_i386.deb
Files: 
 6e971cd6280c30743bb7b68bb05c85f1 1182 lisp optional gauche-gtk_0.4.1-10.dsc
 646dcda409465b615261086471040158 15616 lisp optional gauche-gtk_0.4.1-10.debian.tar.gz
 09a1f50b18b9ed5a6158bf9c3e00eee5 544478 lisp optional gauche-gtk_0.4.1-10_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkuhupwACgkQBB45r3HV9Dp2cQCeI67E1SshpuMFAMGIiuXfNzHh
i3sAniU/21sdWhXPkufpzdL0NJfo9iH0
=iygH
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 10:14:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:51:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.